aboutsummaryrefslogtreecommitdiff
path: root/net/proxy
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:43:29 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:43:29 +0000
commiteab5be76d432faaa9885b6d9b626403d4e246c00 (patch)
treee0109fac801e94a1f1ce7c3ba78eb0bf860dd332 /net/proxy
parentf6499eb8393ebb1de5ccefe4356053035b090acb (diff)
downloadslackbuilds-eab5be76d432faaa9885b6d9b626403d4e246c00.tar.gz
slackbuilds-eab5be76d432faaa9885b6d9b626403d4e246c00.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@686 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net/proxy')
-rwxr-xr-xnet/proxy/privoxy/privoxy.SlackBuild30
-rwxr-xr-xnet/proxy/privoxy/privoxy.build132
-rwxr-xr-xnet/proxy/privoxy/rc.privoxy.new105
3 files changed, 267 insertions, 0 deletions
diff --git a/net/proxy/privoxy/privoxy.SlackBuild b/net/proxy/privoxy/privoxy.SlackBuild
new file mode 100755
index 00000000..70dc095e
--- /dev/null
+++ b/net/proxy/privoxy/privoxy.SlackBuild
@@ -0,0 +1,30 @@
+#!/bin/bash
+#
+# SlackBuild script to call privoxy.build with correct settings
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="privoxy"
+VERSION=${VERSION:=3.0.3}
+ARCH="${ARCH:=i486}"
+BUILD=${BUILD:=2rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+rm -rf $TMP/$PACKAGE
+mkdir -p $SRC_DIR/$PACKAGE $TMP/$PACKAGE
+
+slacktrack -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$PACKAGE.build"
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP/$PACKAGE
+fi
diff --git a/net/proxy/privoxy/privoxy.build b/net/proxy/privoxy/privoxy.build
new file mode 100755
index 00000000..aa950061
--- /dev/null
+++ b/net/proxy/privoxy/privoxy.build
@@ -0,0 +1,132 @@
+#!/bin/bash
+#
+# build script for privoxy
+# by rhatto at riseup.net
+# build it with slacktrack, example:
+#
+# ARCH=x86_64 slacktrack -jefkzp "privoxy-3.0.3-x86_64-1rha.tgz" "./privoxy.build"
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="privoxy"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=3.0.3}
+BUILD=${BUILD:=4rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if ! grep -qe "^$PACKAGE:" /etc/passwd || ! grep -qe "^$PACKAGE:" /etc/group; then
+ echo "WARNING: user and/or group $PACKAGE does not exist"
+ echo "Create it manually with \"groupadd $PACKAGE ; useradd $PACKAGE -g $PACKAGE\" and run this script again."
+ exit 1
+fi
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION-stable-src.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/ijbswa/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+if [ ! -d "$SRC_DIR" ]; then
+ mkdir -p $SRC_DIR
+fi
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+if [ ! -d "$TMP" ]; then
+ mkdir -p $TMP
+fi
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION-stable
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ # 3.0.3 patch got from
+ # https://svn.openwrt.org/openwrt/trunk/openwrt/package/privoxy/patches/101-destdir.patch
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+autoheader
+autoconf
+./configure --prefix=/usr --sysconfdir=/etc/$PACKAGE --libdir=$LIBDIR
+make || exit 32
+# privoxy isnt handling DESTDIR correctly
+make install
+
+mkdir /etc/rc.d/
+cp $CWD/rc.privoxy.new /etc/rc.d
+CWD="`pwd`"
+
+mv /etc/privoxy/config /etc/privoxy/config.sample
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir /install
+cat << EOF > /install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+privoxy: privoxy (A Web proxy with advanced filtering capabilities)
+privoxy:
+privoxy: Privoxy is a Web proxy based on Internet Junkbuster with advanced
+privoxy: filtering capabilities for protecting privacy, filtering Web page
+privoxy: content, managing cookies, controlling access, and removing ads,
+privoxy: banners, pop-ups, and other obnoxious Internet junk. Privoxy has a
+privoxy: very flexible configuration and can be customized to suit individual
+privoxy: needs and tastes. Privoxy is useful for both stand-alone systems and
+privoxy: multi-user networks.
+privoxy:
+privoxy:
+EOF
+
+# docs
+mkdir -p /usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS ChangeLog INSTALL LICENSE Makefile README; do
+ cp $CWD/$file* /usr/doc/$PACKAGE-$VERSION/
+done
+
+# install script
+echo '( chroot . /sbin/ldconfig )' > /install/doinst.sh
+echo '( if ! grep -qe "^privoxy:" etc/group; then echo creating group privoxy... ; chroot . /usr/sbin/groupadd privoxy; fi )' >> /install/doinst.sh
+echo '( if ! grep -qe "^privoxy:" etc/passwd; then echo creating user privoxy... ; chroot . /usr/sbin/useradd privoxy -g privoxy; fi )' >> /install/doinst.sh
+echo '( if [ ! -f "etc/rc.d/rc.privoxy" ]; then mv etc/rc.d/rc.privoxy.new etc/rc.d/rc.privoxy; fi )' >> /install/doinst.sh
+echo '( if [ ! -f "etc/privoxy/config" ]; then mv etc/privoxy/config.sample etc/privoxy/config; fi )' >> /install/doinst.sh
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/net/proxy/privoxy/rc.privoxy.new b/net/proxy/privoxy/rc.privoxy.new
new file mode 100755
index 00000000..932dcc0c
--- /dev/null
+++ b/net/proxy/privoxy/rc.privoxy.new
@@ -0,0 +1,105 @@
+#!/bin/sh
+# ********************************************************************
+
+RETVAL=1
+
+PRIVOXY_PRG="privoxy"
+PRIVOXY_BIN="/usr/sbin/$PRIVOXY_PRG"
+PRIVOXY_CONF="/etc/privoxy/config"
+PRIVOXY_USER="privoxy"
+PRIVOXY_GROUP="privoxy"
+PRIVOXY_PID="/var/run/$PRIVOXY_PRG/$PRIVOXY_PRG.pid"
+
+declare -i check
+check=(`/bin/ps -e|/bin/grep $PRIVOXY_PRG|/usr/bin/wc -l`)
+
+# some checks for us
+if [ ! -x $PRIVOXY_BIN ] ; then exit 0 ;fi
+if [ ! -f $PRIVOXY_CONF ] ; then exit 0 ;fi
+
+# See how we were called.
+
+PRIVOXY="$PRIVOXY_BIN $PRIVOXY_CONF"
+
+start () {
+ # start daemon
+ echo -n $"Starting $PRIVOXY_PRG: "
+
+ if [ ! -f $PRIVOXY_PID ]; then
+ ( $PRIVOXY --user $PRIVOXY_USER.$PRIVOXY_GROUP --pidfile $PRIVOXY_PID -c $PRIVOXY_CONF 2>/dev/tty9 ) \
+ && echo " OK" \
+ && /bin/touch /var/lock/$PRIVOXY_PRG \
+ && RETVAL=0
+ elif [ $check -lt 3 ]; then
+ echo "Zombie lock file found"
+ /bin/rm -f /var/lock/$PRIVOXY_PRG $PRIVOXY_PID
+ echo "Retrying..."
+ start
+ else
+ echo "Already running"
+ fi
+ echo
+}
+
+stop () {
+ # stop daemon
+ echo -n $"Stopping $PRIVOXY_PRG: "
+ if [ -f $PRIVOXY_PID ]; then
+ /bin/kill `/bin/cat $PRIVOXY_PID` \
+ && /bin/rm -f /var/lock/$PRIVOXY_PRG $PRIVOXY_PID \
+ && echo " OK" \
+ && RETVAL=0
+ echo
+ else
+ echo " Not Running"
+ fi
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ reload)
+ if [ -f $PRIVOXY_PID ] ; then
+ /bin/kill -HUP `cat $PRIVOXY_PID` \
+ && RETVAL=0
+ fi
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ kill)
+ echo "Kill all Privoxy"
+ /bin/rm -f /var/lock/$PRIVOXY_PRG $PRIVOXY_PID
+ /bin/killall $PRIVOXY
+ ;;
+ condrestart)
+ # restart only if already running
+ if [ -f $PRIVOXY_PID ] ; then
+ stop
+ start
+ fi
+ ;;
+ status)
+ /bin/ps ax|/bin/grep $PRIVOXY_PRG|/bin/grep -v 'grep\|init\.d\|rc\.d'
+ RETVAL=0
+ ;;
+ top)
+ if [ -f $PRIVOXY_PID ]; then
+ a=""
+ for i in `/sbin/pidof $PRIVOXY_PRG` ; do
+ a="$a -p $i"
+ done
+ /usr/bin/top $a
+ fi
+ ;;
+ *)
+ echo $"Usage: $PRIVOXY_PRG {start|stop|reload|restart|condrestart|status|top|kill}"
+ exit 1
+esac
+
+exit $RETVAL